org.apache.jmeter.protocol.http.sampler

## Class HttpWebdav

- java.lang.Object
- - org.apache.http.message.AbstractHttpMessage
  - - org.apache.http.client.methods.AbstractExecutionAwareRequest
    - - org.apache.http.client.methods.HttpRequestBase
      - - org.apache.http.client.methods.HttpEntityEnclosingRequestBase
        - - org.apache.jmeter.protocol.http.sampler.HttpWebdav

All Implemented Interfaces:
  Cloneable, org.apache.http.client.methods.AbortableHttpRequest, org.apache.http.client.methods.Configurable, org.apache.http.client.methods.HttpExecutionAware, org.apache.http.client.methods.HttpUriRequest, org.apache.http.HttpEntityEnclosingRequest, org.apache.http.HttpMessage, org.apache.http.HttpRequest

    public final class HttpWebdav
    extends org.apache.http.client.methods.HttpEntityEnclosingRequestBase

WebDav request

Since:
  2.12

### Field Summary

### Fields inherited from class org.apache.http.message.AbstractHttpMessage

`headergroup, params`

### Constructor Summary

Constructors
Constructor and Description
`HttpWebdav(String davMethod, URI uri)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getMethod()`
`static boolean` `isWebdavMethod(String method)`

### Methods inherited from class org.apache.http.client.methods.HttpEntityEnclosingRequestBase

`clone, expectContinue, getEntity, setEntity`

### Methods inherited from class org.apache.http.client.methods.HttpRequestBase

`getConfig, getProtocolVersion, getRequestLine, getURI, releaseConnection, setConfig, setProtocolVersion, setURI, started, toString`

### Methods inherited from class org.apache.http.client.methods.AbstractExecutionAwareRequest

`abort, completed, isAborted, reset, setCancellable, setConnectionRequest, setReleaseTrigger`

### Methods inherited from class org.apache.http.message.AbstractHttpMessage

`addHeader, addHeader, containsHeader, getAllHeaders, getFirstHeader, getHeaders, getLastHeader, getParams, headerIterator, headerIterator, removeHeader, removeHeaders, setHeader, setHeader, setHeaders, setParams`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.http.HttpRequest

`getRequestLine`

### Methods inherited from interface org.apache.http.HttpMessage

`addHeader, addHeader, containsHeader, getAllHeaders, getFirstHeader, getHeaders, getLastHeader, getParams, getProtocolVersion, headerIterator, headerIterator, removeHeader, removeHeaders, setHeader, setHeader, setHeaders, setParams`

### Methods inherited from interface org.apache.http.client.methods.HttpUriRequest

`abort, isAborted`

### Constructor Detail

#### HttpWebdav

    public HttpWebdav(String davMethod,
                      URI uri)

Parameters:
  `davMethod` - method to use (has to be a Webdav method as identified by `isWebdavMethod(String)`)
  `uri` - `URI` to use

### Method Detail

#### getMethod

    public String getMethod()

Specified by:
  `getMethod` in interface `org.apache.http.client.methods.HttpUriRequest`
Specified by:
  `getMethod` in class `org.apache.http.client.methods.HttpRequestBase`

#### isWebdavMethod

    public static boolean isWebdavMethod(String method)

Parameters:
  `method` - Http Method
Returns:
  `true` if method is a Webdav one